List people
Returns a list of all people.
Authorizations
Query Parameters
Filter individuals by those whose tasksSummary status is any of the provided values.
The overall status of a person's outstanding tasks:
- NONE: There are no tasks.
- DUE_SOON: At least one task is due soon.
- OVERDUE: At least one task is overdue. Has a higher priority than DUE_SOON.
- COMPLETE: All tasks are complete.
- PAUSED: All tasks are paused.
- OFFBOARDING_DUE_SOON: At least one offboarding task is due soon.
- OFFBOARDING_OVERDUE: At least one offboarding task is overdue. Has a higher priority than OFFBOARDING_DUE_SOON.
- OFFBOARDING_COMPLETE: All offboarding tasks are complete.
COMPLETE, DUE_SOON, NONE, OFFBOARDING_COMPLETE, OFFBOARDING_DUE_SOON, OFFBOARDING_OVERDUE, OVERDUE, PAUSED Requires taskStatusMatchesAny. Includes all people for whom any of the provided taskType values in taskTypeMatchesAny is any of the provided taskStatus values in taskStatusMatchesAny.
The type a task summary falls into. COMPLETE_TRAININGS: The task summary containing security trainings. ACCEPT_POLICIES: The task summary containing policy acceptance. COMPLETE_CUSTOM_TASKS: The task summary containing custom tasks. INSTALL_DEVICE_MONITORING: The task summary containing device monitoring installation. COMPLETE_BACKGROUND_CHECKS: The task summary containing background checks.
COMPLETE_TRAININGS, ACCEPT_POLICIES, COMPLETE_CUSTOM_TASKS, COMPLETE_CUSTOM_OFFBOARDING_TASKS, INSTALL_DEVICE_MONITORING, COMPLETE_BACKGROUND_CHECKS Requires taskTypeMatchesAny. Includes all people for whom any of the provided taskType values in taskTypeMatchesAny is any of the provided taskStatus values in taskStatusMatchesAny.
The status of a task.
- COMPLETE: The task has been completed.
- DUE_SOON: The task is due soon.
- OVERDUE: The task is overdue.
- NONE: The task is not assigned.
COMPLETE, DUE_SOON, OVERDUE, NONE Filter people matching the given employment status. The employment status of a person:
- UPCOMING: The person is not yet employed and will start employment in the future.
- CURRENT: The person is currently employed.
- ON_LEAVE: The person is on leave.
- INACTIVE: The person's employment is inactive.
- FORMER: The person was previously employed.
UPCOMING, CURRENT, ON_LEAVE, INACTIVE, FORMER